# 12.30.0

## New Features

* **Cross-case message correlation**

  New `sendGlobalCatchEventMessage` and `sendGlobalCatchEventMessageToAll` methods on `correlationService` allow messages to be correlated to process instances across all cases, without requiring a business key. See [correlating messages](https://github.com/valtimo-platform/valtimo/blob/v12-stable/documentation/release-notes/features/process/correlation-service.md) for details.

## Enhancements

* **Introduced support for strings exceeding 4000 characters in Camunda process variables**\
  Long strings are now serialized as Java objects to bypass the database column size limit, and are deserialized back to strings transparently.
* **Dependencies** Many dependencies have been updated to the latest minor / patch.

## Bugfixes

* Fixed outbox circuit breaker never recovering from OPEN state.
* Fixed deserialization of `beginRegistratie` in Documenten API responses


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/release-notes/12.x.x/12.30.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
